Hide the edit summary in Undelete for non-sysops, then grant "deletedhistory" to every user
Closed, DeclinedPublic

Description

Author: rotemliss

Description:
I suggest to hide the edit summary in the page Undelete when shown to
non-sysops, so they will be able to see the deletion log, who edited the page
and when - but not the content of the edits, or the edit summaries.

Then I have three suggestions:

  1. To grant the permission "deletedhistory" to every user (*).
  2. To grant the permission "deletedhistory" to every registered user (user).
  3. To grant the permission "deletedhistory" to every autoconfirmed user

(autoconfirmed).

I will create a patch for the edit summary, and a patch for each suggestion, soon.


Version: 1.6.x
Severity: normal
URL: http://mail.wikipedia.org/pipermail/wikitech-l/2005-December/033283.html

bzimport added a project: MediaWiki-Interface.Via ConduitNov 21 2014, 9:11 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5415.
bzimport created this task.Via LegacyMar 31 2006, 6:35 PM
bzimport added a comment.Via ConduitMar 31 2006, 7:30 PM

rotemliss wrote:

Patch for edit summaries

This patch edits the following files:

  • includes/SpecialUndelete.php - uses an "if" to decide whether to show the

summary or not.

  • languages/Messages.php - updates "undeletehistorynoadmin" to be more exact,

and to say that they also cannot view the edit summaries.

  • languages/MessagesHe.php - same as Messages.php, and also matches

"viewdeletedpage" to "undeletepage" - not connected, but should be done for
uniformity.

Now I will create a patch for every option.

Attached: bug.5415.v1.patch

bzimport added a comment.Via ConduitMar 31 2006, 7:41 PM

rotemliss wrote:

Patch for permissions - option 1

Attached: bug.5415.option.1.patch

bzimport added a comment.Via ConduitMar 31 2006, 7:42 PM

rotemliss wrote:

Patch for permissions - option 2

Attached: bug.5415.option.2.patch

bzimport added a comment.Via ConduitMar 31 2006, 7:42 PM

rotemliss wrote:

Patch for permissions - option 3

Attached: bug.5415.option.3.patch

bzimport added a comment.Via ConduitMar 31 2006, 7:44 PM

rotemliss wrote:

Please check in the first patch, then choose among the second, third and fourth.

bzimport added a comment.Via ConduitApr 4 2006, 10:01 AM

Wiki.Melancholie wrote:

*** Bug 5237 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitApr 4 2006, 10:05 AM

Wiki.Melancholie wrote:

Because I think (*) means anonymous users (IPs), I consider my bug
5237 ["Reactivate the permission for public history views of
deleted revisions (but without edit summaries)"] as a full
duplicate of this one.

bzimport added a comment.Via ConduitApr 4 2006, 10:08 AM

rotemliss wrote:

(In reply to comment #7)

Because I think (*) means anonymous users (IPs), I consider my bug
5237 ["Reactivate the permission for public history views of
deleted revisions (but without edit summaries)"] as a full
duplicate of this one.

"*" means every user.

bzimport added a comment.Via ConduitApr 4 2006, 11:36 AM

Wiki.Melancholie wrote:

Yes, I wanted to write "...means *also* anonymous users..."
So option 1 (Patch #2) would be my favourite.

bzimport added a comment.Via ConduitNov 22 2008, 7:29 PM

mike.lifeguard+bugs wrote:

This seems inordinately stagnant. I assume the patches won't apply cleanly any longer. As this is perhaps a controversial change (and was discussed only for enwiki), I'd suggest closing this pending further discussion. If then there is still a desire to implement this, rewrite things.

Mr.Z-man added a comment.Via ConduitDec 26 2008, 11:36 PM

I don't think there's really any use for this now, and if there is, there would still need to be a way to assign the right to see summaries to groups other than sysop. Can be reopened if there is a reason to do this in the future.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.